For the complete documentation index, see llms.txt. This page is also available as Markdown.

Topics

List Topics

post

Topics are the categories of questions that can be asked about a Brand Kit. They are used to group questions together and to create a taxonomy of questions.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
brand_kit_idintegerRequired

The Brand Kit ID

Body
brand_kit_idintegerRequired

The ID of the Brand Kit

sortstring · enumOptional

Sort field. Prefix with - for descending.

Available sort fields:

  • name/-name: Sort alphabetically by topic name
  • created_at/-created_at: Sort by creation date
Possible values:
pageintegerOptional

Page number

Default: 1
per_pageinteger · max: 100Optional

Items per page

Default: 25
Responses
200

Successful response

application/json
post/public_api/brand_kits/{brand_kit_id}/topics/list
POST /public_api/brand_kits/{brand_kit_id}/topics/list HTTP/1.1
Host: api.airops.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 133

{
  "brand_kit_id": 1,
  "filters": [
    {
      "field": "name",
      "operator": "EQUALS",
      "value": null
    }
  ],
  "fields": [
    "id"
  ],
  "sort": "name",
  "page": 1,
  "per_page": 25
}
{
  "data": [
    {
      "id": 1,
      "name": "text",
      "color": "text"
    }
  ],
  "meta": {
    "page": 1,
    "per_page": 1,
    "total_count": 1,
    "total_pages": 1
  }
}

Get Topic

get

Topics are the categories of questions that can be asked about a Brand Kit. They are used to group questions together and to create a taxonomy of questions.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
brand_kit_idintegerRequired

The Brand Kit ID

idintegerRequired

The resource ID

Responses
200

Successful response

application/json
get/public_api/brand_kits/{brand_kit_id}/topics/{id}
GET /public_api/brand_kits/{brand_kit_id}/topics/{id} HTTP/1.1
Host: api.airops.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": 1,
    "name": "text",
    "color": "text"
  }
}

Last updated

Was this helpful?